Name:           perl-Alien-Build-Plugin-Download-GitHub
Version:        0.10
Release:        1%{?dist}
Summary:        Alien::Build plugin to download from GitHub
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-Build-Plugin-Download-GitHub/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-Build-Plugin-Download-GitHub-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Alien::Build) >= 2.39
BuildRequires:  perl(Alien::Build::Plugin)
BuildRequires:  perl(Alien::Build::Plugin::Download::Negotiate)
BuildRequires:  perl(Alien::Build::Plugin::Extract::Negotiate)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien::Build)
BuildRequires:  perl(URI)
BuildRequires:  perl(YAML)
Requires:       perl(Alien::Build) >= 2.39
Requires:       perl(Alien::Build::Plugin)
Requires:       perl(Alien::Build::Plugin::Download::Negotiate)
Requires:       perl(Alien::Build::Plugin::Extract::Negotiate)
Requires:       perl(JSON::PP)
Requires:       perl(Path::Tiny)
Requires:       perl(URI)
Requires:       perl(YAML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin will download releases from GitHub. It is generally preferred
over Alien::Build::Plugin::Download::Git for packages that are released on
GitHub, as it has much fewer dependencies and is more reliable.

%prep
%setup -q -n Alien-Build-Plugin-Download-GitHub-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 28 2024 rpm 0.10-1
- Specfile autogenerated by cpanspec 1.78.
